org.richfaces.renderkit

## Class PushRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.PushRendererBase

- Direct Known Subclasses:
    PushRenderer

      public class PushRendererBase
      extends RendererBase

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getOptionsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getPushHandlerUrl(javax.faces.context.FacesContext context)`
    `protected String` | `getPushResourceUrl(javax.faces.context.FacesContext context)`
    `protected boolean` | `shouldEncodePushUrl(javax.faces.context.FacesContext context)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PushRendererBase

          public PushRendererBase()

  - ### Method Detail

    - #### getPushResourceUrl

          protected String getPushResourceUrl(javax.faces.context.FacesContext context)

    - #### getPushHandlerUrl

          protected String getPushHandlerUrl(javax.faces.context.FacesContext context)

    - #### shouldEncodePushUrl

          protected boolean shouldEncodePushUrl(javax.faces.context.FacesContext context)

    - #### getOptionsString

          protected String getOptionsString(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.